Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> Cacti cmd.php Arbitrary Command Execution Vulnerability


Vulnerability Assessment Details

Cacti cmd.php Arbitrary Command Execution Vulnerability

Vulnerability Assessment Summary
Checks if Cacti's cmd.php is remotely accessible

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote web server contains a PHP script that permits arbitrary
command execution.

Description :

The remote host is running Cacti, a web-based frontend to RRDTool for
network graphing.

The version of Cacti on the remote host does not properly check
whether ensure the 'cmd.php' script is being run from a commandline
and fails to sanitize user-supplied input before using it in database
queries. Provided PHP's 'register_argc_argv' parameter is enabled,
which is the default, a possible hacker can launch SQL injection attacks
against the underlying database and even to execute arbitrary code on
the remote host subject to the rights of the web server user id.

See also :

http://milw0rm.com/exploits/3029
http://forums.cacti.net/about18846.html
http://bugs.cacti.net/view.php?id=883
http://www.cacti.net/release_notes_0_8_6j.php

Solution :

Upgrade to Cacti version 0.8.6j or later.

Network Security Threat Level:

High / CVSS Base Score : 7
(AV:R/AC:L/Au:NR/C:P/I:P/A:P/B:N)

Networks Security ID: 21799

Vulnerability Assessment Copyright: This script is Copyright (C) 2007 Tenable Network Security

Cables, Connectors

Dell R730xd Server 2x E5-2687W v3 3.1GHz 256GB-32 12x 3TB 2x 500GB H730 3.5in
$7241.3
Dell R730xd Server 2x E5-2687W v3 3.1GHz 256GB-32 12x 3TB 2x 500GB H730 3.5in pictureDell R730xd Server 2x E5-2687W v3 3.1GHz 384GB-16 12x 3TB 2x 480GB H730 3.5in
$6703.35
Dell R730xd Server 2x E5-2687W v3 3.1GHz 384GB-16 12x 3TB 2x 480GB H730 3.5in pictureDell R730xd Server 2x E5-2687W v3 3.1GHz 128GB-16 12x 3TB 2x 500GB H730 3.5in
$5273.65
Dell R730xd Server 2x E5-2687W v3 3.1GHz 128GB-16 12x 3TB 2x 500GB H730 3.5in pictureDell R720 16-Core Server 2x E5-2667 v2 3.3GHz 768GB-32 8x 300GB H710 2.5in iDRAC
$5021.35
Dell R720 16-Core Server 2x E5-2667 v2 3.3GHz 768GB-32 8x 300GB H710 2.5in iDRAC picture


Discussions

No Discussions have been posted on this vulnerability.